%global debug_package %{nil}

Name:           spotify-tui
Version:        0.25.0
Release:        1%{?dist}
Summary:        Spotify for the terminal written in Rust

License:        GPLv3+
URL:            https://github.com/Rigellute/spotify-tui
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  python3
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(xcb)
%if 0%{?el8}
%else
BuildRequires:  cargo >= 1.40
BuildRequires:  rust >= 1.40
%endif

%description
A Spotify client for the terminal written in Rust.


%prep
%autosetup -p1
%if 0%{?el8}
curl https://sh.rustup.rs -sSf | sh -s -- --profile minimal -y
%endif

# Set codegen-units to 1
echo -e '\n[profile.release]' >> Cargo.toml
echo 'codegen-units = 1' >> Cargo.toml


%install
%if 0%{?el8}
$HOME/.cargo/bin/cargo install --root=%{buildroot}%{_prefix} --path=.
%else
cargo install --root=%{buildroot}%{_prefix} --path=.
%endif
rm -f   %{buildroot}%{_prefix}/.crates.toml \
        %{buildroot}%{_prefix}/.crates2.json
strip --strip-all %{buildroot}%{_bindir}/*


%files
%license LICENSE
%doc README.md CHANGELOG.md
%{_bindir}/spt


%changelog
* Tue Aug 24 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.25.0-1
- build(update): 0.25.0

* Mon Apr 26 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.24.0-1
- build(update): 0.24.0

* Wed Jan  6 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.23.0-1
- build(update): 0.23.0

* Mon Oct  5 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.22.0-1
- Update to 0.22.0

* Fri Jul 24 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.21.0-1
- Update to 0.21.0

* Thu May 28 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.20.0-1
- Update to 0.20.0

* Mon May 04 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.19.0-1
- Update to 0.19.0

* Tue Apr 21 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.18.0-1
- Update to 0.18.0

* Mon Mar 30 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.17.1-1
- Initial package
